Bug 583710 - virt-manager: Awkward UI for leaving customize window
Summary: virt-manager: Awkward UI for leaving customize window
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-19 14:14 UTC by Michael Monreal
Modified: 2010-09-04 04:59 UTC (History)
5 users (show)

Fixed In Version: virt-manager-0.8.5-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-04 04:59:17 UTC


Attachments (Terms of Use)
Screenshot (41.29 KB, image/png)
2010-04-19 14:14 UTC, Michael Monreal
no flags Details

Description Michael Monreal 2010-04-19 14:14:46 UTC
Created attachment 407603 [details]
Screenshot

New virt-manager allows you to customize a VM before the first boot: nice.

However, leaving the customize window currently is not 100% straightforward: you have to press a green check icon on the upper left and the button does not even have a tooltip.

Not sure if top left is the right position for this but I would at least replace the icon with a meaningful text like "Save and Continue"

Comment 1 Cole Robinson 2010-05-10 16:38:20 UTC
Thanks for the report. The button has text, it's in a toolbar though so hitting your toolbar prefs. I can force it to have icon + text view, and add the tooltip. Maybe it's better to move the button to the bottom row, to the right of the 'Add Hardware' button? I'll need to play with it.

Comment 2 Michael Monreal 2010-05-10 17:15:34 UTC
(In reply to comment #1)
> The button has text, it's in a toolbar though so hitting
> your toolbar prefs. 
Weird... /desktop/gnome/interface/toolbar_style=both_horiz here, this should give me text?

> I can force it to have icon + text view, and add the
> tooltip. 
A tooltip would be nice for sure.

Comment 3 Cole Robinson 2010-08-25 20:48:52 UTC
Tooltip and improved button text upstream:

http://hg.fedorahosted.org/hg/virt-manager/rev/8a64d80c04e9

Comment 4 Fedora Update System 2010-08-25 20:58:44 UTC
virt-manager-0.8.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/virt-manager-0.8.5-1.fc13

Comment 5 Fedora Update System 2010-08-26 00:53:06 UTC
virt-manager-0.8.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/virt-manager-0.8.5-1.fc13

Comment 6 Fedora Update System 2010-09-01 03:27:28 UTC
virt-manager-0.8.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/virt-manager-0.8.5-1.fc13

Comment 7 Fedora Update System 2010-09-04 04:58:40 UTC
virt-manager-0.8.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.